#
# spec file for package perl-AnyEvent-I3
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name AnyEvent-I3
Name:           perl-AnyEvent-I3
Version:        0.190.0
Release:        1.1
# 0.19 -> normalize -> 0.190.0
%define cpan_version 0.19
#Upstream: Artistic-1.0 or GPL-1.0-or-later
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Communicate with the i3 window manager
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSTPLBG/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(AnyEvent)
BuildRequires:  perl(AnyEvent::Handle)
BuildRequires:  perl(AnyEvent::Socket)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.36
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl(Test::More) >= 0.8
Requires:       perl(AnyEvent)
Requires:       perl(AnyEvent::Handle)
Requires:       perl(AnyEvent::Socket)
Requires:       perl(JSON::XS)
Provides:       perl(AnyEvent::I3) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
communicate with the i3 window manager

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Wed Apr 10 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.19
  see /usr/share/doc/packages/perl-AnyEvent-I3/Changes
  0.19    2024-04-09
  * use Carp for errors (includes stacktraces)
  * introduce (preferred) RUN_COMMAND spelling
  * migrate tooling to ExtUtils::MakeMaker
  * implement the tick event
  * introduce the sync IPC command
  * introduce the GET_BINDING_STATE IPC command
  0.18    2017-08-19
  * support the GET_CONFIG command
* Mon Apr 10 2017 coolo@suse.com
- updated to 0.17
  see /usr/share/doc/packages/perl-AnyEvent-I3/Changes
  0.17    2017-04-09
  * support the shutdown event
  * use lib '.' for Perl 5.25.11+
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.16
  see /usr/share/doc/packages/perl-AnyEvent-I3/Changes
  0.16    2014-10-03
  * support the barconfig_update and binding event
* Wed May 15 2013 coolo@suse.com
- updated to 0.15
  * support the window event
  * support the mode event
* Tue Sep  4 2012 coolo@suse.com
- updated to 0.13
  * support the GET_VERSION request with a fall-back to i3 --version
  * taint mode fix: remove relative directories from $ENV{PATH}
  * taint mode fix for FreeBSD
* Mon Apr 30 2012 cfarrell@suse.com
- license update: Artistic-1.0 or GPL-1.0+
  See README
* Fri Apr 27 2012 coolo@suse.com
- initial package 0.09
  * created by cpanspec 1.78.06
